Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.text.client
Class LongParser

    java.lang.Object
      com.google.gwt.text.client.LongParser

All Implemented Interfaces:
  Parser<java.lang.Long>

    public class LongParser

extends java.lang.Object
implements Parser<java.lang.Long>

A localized parser based on `NumberFormat.getDecimalFormat()`.

Constructor Summary
`protected` | `LongParser()`

Method Summary
`static Parser<java.lang.Long>` | `instance()` Returns the instance of the no-op renderer.
`java.lang.Long` | `parse(java.lang.CharSequence object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongParser

    protected LongParser()

Method Detail

### instance

    public static Parser<java.lang.Long> instance()

  Returns the instance of the no-op renderer.

### parse

    public java.lang.Long parse(java.lang.CharSequence object)
                         throws java.text.ParseException

  Specified by:
    `parse` in interface `Parser<java.lang.Long>`
  Throws:
    `java.text.ParseException`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD